## [DEPRECATED] List Pipelines `client.Pipelines.List(ctx, params) (*PipelineListResponse, error)` **get** `/accounts/{account_id}/pipelines` [DEPRECATED] List, filter, and paginate pipelines in an account. Use the new /pipelines/v1/pipelines endpoint instead. ### Parameters - `params PipelineListParams` - `AccountID param.Field[string]` Path param: Specifies the public ID of the account. - `Page param.Field[string]` Query param: Specifies which page to retrieve. - `PerPage param.Field[string]` Query param: Specifies the number of pipelines per page. - `Search param.Field[string]` Query param: Specifies the prefix of pipeline name to search. ### Returns - `type PipelineListResponse struct{…}` - `ResultInfo PipelineListResponseResultInfo` - `Count float64` Indicates the number of items on current page. - `Page float64` Indicates the current page number. - `PerPage float64` Indicates the number of items per page. - `TotalCount float64` Indicates the total number of items. - `Results []PipelineListResponseResult` - `ID string` Specifies the pipeline identifier. - `Destination PipelineListResponseResultsDestination` - `Batch PipelineListResponseResultsDestinationBatch` - `MaxBytes int64` Specifies rough maximum size of files. - `MaxDurationS float64` Specifies duration to wait to aggregate batches files. - `MaxRows int64` Specifies rough maximum number of rows per file. - `Compression PipelineListResponseResultsDestinationCompression` - `Type PipelineListResponseResultsDestinationCompressionType` Specifies the desired compression algorithm and format. - `const PipelineListResponseResultsDestinationCompressionTypeNone PipelineListResponseResultsDestinationCompressionType = "none"` - `const PipelineListResponseResultsDestinationCompressionTypeGzip PipelineListResponseResultsDestinationCompressionType = "gzip"` - `const PipelineListResponseResultsDestinationCompressionTypeDeflate PipelineListResponseResultsDestinationCompressionType = "deflate"` - `Format PipelineListResponseResultsDestinationFormat` Specifies the format of data to deliver. - `const PipelineListResponseResultsDestinationFormatJson PipelineListResponseResultsDestinationFormat = "json"` - `Path PipelineListResponseResultsDestinationPath` - `Bucket string` Specifies the R2 Bucket to store files. - `Filename string` Specifies the name pattern to for individual data files. - `Filepath string` Specifies the name pattern for directory. - `Prefix string` Specifies the base directory within the bucket. - `Type PipelineListResponseResultsDestinationType` Specifies the type of destination. - `const PipelineListResponseResultsDestinationTypeR2 PipelineListResponseResultsDestinationType = "r2"` - `Endpoint string` Indicates the endpoint URL to send traffic. - `Name string` Defines the name of the pipeline. - `Source []PipelineListResponseResultsSource` - `type PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesHTTPSource struct{…}` [DEPRECATED] HTTP source configuration. Use the new streams API instead. - `Format PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesHTTPSourceFormat` Specifies the format of source data. - `const PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesHTTPSourceFormatJson PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesHTTPSourceFormat = "json"` - `Type string` - `Authentication bool` Specifies whether authentication is required to send to this pipeline via HTTP. - `CORS PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesHTTPSourceCORS` - `Origins []string` Specifies allowed origins to allow Cross Origin HTTP Requests. - `type PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesBindingSource struct{…}` [DEPRECATED] Worker binding source configuration. Use the new streams API instead. - `Format PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesBindingSourceFormat` Specifies the format of source data. - `const PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesBindingSourceFormatJson PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesBindingSourceFormat = "json"` - `Type string` - `Version float64` Indicates the version number of last saved configuration. - `Success bool` Indicates whether the API call was successful. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/pipelines" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) pipelines, err := client.Pipelines.List(context.TODO(), pipelines.PipelineListParams{ AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", pipelines.ResultInfo) } ``` #### Response ```json { "result_info": { "count": 1, "page": 0, "per_page": 10, "total_count": 1 }, "results": [ { "id": "123f8a8258064ed892a347f173372359", "destination": { "batch": { "max_bytes": 1000, "max_duration_s": 0.25, "max_rows": 100 }, "compression": { "type": "gzip" }, "format": "json", "path": { "bucket": "bucket", "filename": "${slug}${extension}", "filepath": "${date}/${hour}", "prefix": "base" }, "type": "r2" }, "endpoint": "https://123f8a8258064ed892a347f173372359.pipelines.cloudflare.com", "name": "sample_pipeline", "source": [ { "format": "json", "type": "type", "authentication": true, "cors": { "origins": [ "*" ] } } ], "version": 2 } ], "success": true } ```